$ 
$    Tervetuloa käyttämään versiota 2.5.0.0
$ 

+1. Mitä uutta on Azureus 2.5.0.0:ssa

!1.1 Lähetä ystävälle/WWW-sivulle
  Tämä toiminto auttaa sisällön levittämisessä sähköpostin tai WWW-sivun välityksellä. Voit siis kertoa hyvästä ladattavasta materiaalista ystävällesi sähköpostin avulla tai kirjoittaa asiasta vaikkapa omaan verkkopäiväkirjaasi.

!1.2 Automaattinen lähetysnopeuden asettaminen
  Lähetysnopeutta voidaan säädellä tutkimalla Internet-yhteyden vasteaikoja, kun lähetetään tiedustelupaketteja muille hajautetun tietokannan käyttäjille.

!1.3 Muita uusia ominaisuuksia
  OSX: torrent-tiedostojen avaaminen Azureukseen suoraan esimerkiksi työpöydältä/Finderista.
  Ei-ladattavia tiedostoja käsitellään johdonmukaisemmin suhteessa latauksen valmistumiseen.
  Lataushakemiston uudelleennimeäminen.
  Ladattujen tiedostojen siirtäminen, kun ollaan poistamassa torrent-tiedostoa Azureuksesta.
  Päivitysten ja lisäosien varmentaminen paremman tietoturvan saavuttamiseksi.
  Käyttöliittymäparannuksia - lisää informaatiota, esimerkiksi: torrent-tiedoston lisäysaika, joutilasajat, uusi tietonäkymä, osakartta; lisää torrent-tiedosto-kohtaisia asetuksia.
  Virheenmääritystietojen automaattinen luominen ja ohjeistus edelleenlähettämisestä.
  Ja paljon muuta - katso lisätietoja muutoslokista.
  
  Älä unohda lisäosia - http://azureus.sourceforge.net/plugin_list.php
    Uusi etähallinnan mahdollistava lisäosa - AzSMRC
  
!1.4 Ohjelmavirhekorjauksia ja parannuksia suorituskykyyn
 Huomattavia korjauksia:
    Lähiverkkokäyttö tehokkaampaa; käyttäjät tunnistetaan tarkemmin.
    Suoritinkäytön pienentäminen, kun ollaan yhteydessä suureen määrään käyttäjiä.
    
    Kaikki muutokset http://azureus.sourceforge.net/changelog.php?version=2.5.0.0
    
+2. Mitä uutta on Azureus 2.4.0.0:ssa

!2.1 Liikenteen salaaminen/peittäminen
 Azureus tukee nyt siirrettävän tiedon salausta tätä tukevien asiakasohjelmien kanssa. Tietojen suojauksen ohella tästä on apua siinä tapauksessa, jos Internet-palveluntarjoaja yrittää estää tai rajoittaa P2P-liikennettä verkossaan - estot ja rajoitukset voidaan kiertää, sillä Azureus peittää kaikki BitTorrent-liikenteeseen viittaavat tiedot.
  
!2.2 Lähiverkkokäyttö
 Jos samassa lähiverkkoympäristössä on käytössä useita Azureus-asiakasohjelmia, niiden välille voidaan muodostaa suorat, nopeat tiedonsiirtoyhteydet. Näin tiedon jakaminen tehostuu huomattavasti.

!2.3 Parannettu latausmenetelmä
 Ladattavien osien ja käyttäjien paikallistamiseen käytettyjä tapoja on muutettu, jotta toiminta olisi tehokkaampaa ja nopeampaa.

!2.4 Webseed-tuki
 Azureus tukee nyt Webseed-menetelmän perustoimintoja. Webseed-kohteita käytetään vain, jos torrent-tiedoston saatavuus on alle 1.0.

!2.5 Muuta

 Lukuisia parannuksia käyttöliittymään.
 Parannuksia suorituskykyyn.
 Ohjelmavirhekorjauksia.
    
    Huom.: Windows-ympäristössä ohjelmistopohjaiseen palomuuriin tarvitaan liikenteen salliva sääntö prosessille Azureus.exe.
    
    Kaikki muutokset: http://azureus.sourceforge.net/changelog.php?version=2.4.0.0

    Edellisten versioiden muutokset: http://azureus.sourceforge.net/changelog.php?version=2.3.0.6, 2.3.0.4 ja 2.3.0.2.
    
+3. Mitä uutta on Azureus 2.3.0.0:ssa

!3.1 Hajautettu tietokanta
 Azureuksessa on nyt ns. hajautettu tietokanta, jota käytettäessä ei tarvita perinteisiä seurantapalvelimia ollenkaan: tiedot torrent-tiedoston käyttäjistä liikkuvat suoraan käyttäjältä toiselle. Hajautetusta tietokannasta on apua myös silloin, jos perinteistä seurantapalvelinta käytettäessä palvelimeen ei voida syystä tai toisesta muodostaa yhteyttä tai torrent-tiedosto on poistettu seurantapalvelimelta - seurantaa jatketaan hajautetun tietokannan avulla.
 Hajautettu tietokanta käyttää UDP-protokollaa. Niinpä palomuureista/reitittimistä täytyy avata UDP-portti käytettäväksi.
 
*3.1.1 Magnet-linkit
 Hajautettua tietokantaa käyttävistä torrent-tiedostoista voidaan luoda ns. Magnet-linkki. Tämä on muotoa "magnet:?xt=urn:btih:..." ja sitä voidaan käyttää varsinaisen torrent-tiedoston lataamiseen hajautetusta tietokannasta.
 
!3.2 Parannettu protokolla
 Azureus tukee nyt uutta viestintään tarkoitettua protokollaa, jonka avulla lisäosat voivat hyödyntää Azureuksen luomia yhteyksiä uudenlaisissa käyttötarkoituksissa. Muiden asiakasohjelmien kehittäjät voivat katsoa protokollan määrittelyn osoitteesta http://azureus.aelitis.com/wiki/index.php/AzureusMessagingProtocol . Lisäosien kehittäjät voivat katsoa lisäosien javadocs-tiedostoista, kuinka käyttää tätä protokollaa.
 Esimerkiksi JPC- ja Chat-lisäosat hyödyntävät tätä uutta ominaisuutta.

!3.3 JPC
 Joltid Peer Cache (JPC) on nyt sisällytetty Azureukseen. Jos käytettävä Internet-palveluntarjoaja tukee ominaisuutta, siirrot nopeutuvat. Samalla palveluntarjoajan oma liikenne vähenee. JPC-lisäosa on turvallinen, sillä palveluntarjoaja ei näe mitä lataat/lähetät, eikä pysty millään tavoin seuraamaan toimiasi. JPC-lisäosa voidaan kytkeä pois käytöstä asetuksista (Työkalut | Asetukset | Lisäosat | JPC).
  
!3.4 Uudet lisäosat
 Hajautettu tietokanta ja uusi viestinnän salliva protokolla mahdollistivat uudenlaisten lisäosien kehittämisen. Mitään näistä ei asenneta automaattisesti, mutta jos kiinnostusta riittää, voit tutustua niihin käyttämällä ohjattua lisäosien asennustoimintoa (Lisäosat | Ohjattu asennustoiminto).
 
*3.4.1 Chat-lisäosa
 Tämän lisäosan avulla jokaiselle lataamallesi torrent-tiedostolle perustetaan oma "keskustelukanava". Jokainen kanava on itsenäinen ja voit keskustella niillä mistä haluat. Tämä lisäosa hyödyntää uudistettua protokollaa. Muiden asiakasohjelmien kehittäjät voivat katsoa lisätietoja tästä protokollasta sekä lisäosasta täältä: http://azureus.aelitis.com/wiki/index.php/ChatPlugin .
 Voit myös luoda oman erityisen kanavasi ilman torrent-tiedostoa (tai liittyä tällaiselle kanavalle). Tällöin luodaan ns. virtuaalinen torrent-tiedosto, jolla ei ole lähettäjiä, jotta käyttäjät vain pääsevät keskustelemaan. Nämä "virtuaaliset" torrent-tiedostot hyödyntävät hajautettua tietokantaa, joten et voi käyttää "virtuaalisia" torrent-tiedostoja ja kanavia, jos hajautettu tietokanta ei ole käytettävissä (tällöin normaalit Chat-lisäosan luomat torrent-kohtaiset keskustelut kuitenkin toimivat).
 
*3.4.2 Arvostelut ja kommentit
 Tämän lisäosan avulla voit nähdä muiden käyttäjien torrent-tiedostoille kirjoittamat arvostelut ja kommentit, mutta voit myös arvostella torrent-tiedoston ja kirjoittaa sille kommentin itse (hiiren kakkosnapin klikkaus torrent-tiedoston kohdalla Siirrot-ikkunassa -> Ratings & comments). Lisäosa hyödyntää hajautettua tietokantaa, joten sen täytyy olla toiminnassa.
 

+4. Päivityskehotus

!4.1 Java 5.0
 Azureus on ohjelmoitu Java-kielellä ja vaatii näin ollen Javan ajonaikaiset tiedostot (Java JRE). Suositus on Java 5.0 (tunnetaan myös versionumerolla 1.5), koska sen avulla saavutetaan parempi suorituskyky ja luotettavuus - päivitä, jos tarpeellista.
 Java-päivitykset löydät täältä: http://azureus.sourceforge.net/download.php
 Lataa käyttöjärjestelmällesi sopiva versio, sulje Azureus, poista aikaisempi Javan versio (jos asennettu), käynnistä tietokone uudelleen, asenna ladattu uusi Javan versio, käynnistä tietokone uudelleen ja vihdoin käynnistä Azureus uudelleen.
 Jos käytät Windows XP:tä ja haluat käyttää Windows XP -tyyliä myös Azureuksen ulkonäössä, käy laittamassa ominaisuus päivityksen jälkeen uudelleen päälle asetuksista (Työkalut | Asetukset | Käyttöliittymä | Ulkoasu | Käytä Windows XP -tyyliä).
 
!4.2 NOD32
 NOD32 (http://www.nod32.com/) on virustentorjuntaohjelma, jonka tiedetään aiheuttavan ongelmia Azureuksen kanssa (aiheuttaa 100 % -prosessorikäytön).
 Katso lisätietoja osoitteesta http://azureus.aelitis.com/wiki/index.php/LikelyNetworkDisconnectReconnect
 

+5. Yleiset ongelmat

!5.1 NAT-ongelma
 NAT-lyhenne tulee sanoista Network Address Translation. Azureuksen NAT- ja palomuuritesti kertoo, saadaanko sinuun esteittä yhteys ulkoapäin. Esteettömällä yhteydellä saavutetaan paremmat siirtonopeudet.
 Älä suoraan ota yhteyttä Azureuksen kehittäjiin, jos törmäät NAT-ongelmaan. Internetissä on paljon ohjeita ongelman ratkaisemiseksi. Katso ensin:
 - http://azureus.aelitis.com/wiki/index.php/PortForwarding
 - http://www.portforward.com
 

!5.2 Azureus kaatuu?
 Jos Azureus kaatuilee usein, todennäköisin syy on tietokoneen verkkokomponenteissa (verkkokortti, sen ajurit, käyttöjärjestelmän verkko-ominaisuudet). Suositus on, että päivität kaikki verkkoyhteyteen vaikuttavien laitteiden ajurit. Jos tämä ei auta, järjestelmä ei todennäköisesti kestä kovin suurta yhteysmäärää kerrallaan.
 Alenna avattavien yhteyksien määrää Azureuksessa (Työkalut | Asetukset | Siirrot | Yhteyksien oletusenimmäismäärä/torrent-tiedosto ja Yhteyksien enimmäismäärä kaikkiaan). Kokeile pieniä arvoja, kuten 30.

!5.3 Tuki
 Ennen kuin otat yhteyttä Azureuksen tukeen, tarkasta ensin seuraavat resurssit:
 - Viralliset kotisivut: http://azureus.sourceforge.net/
 - Virallinen Wiki-ympäristö: http://azureus.aelitis.com/wiki/
 - Virallinen IRC-kanava käyttäjille: #azureus-users (freenode-verkossa, esim. irc.freenode.net-palvelin)
 - SF.netin viralliset foorumit: http://sourceforge.net/forum/?group_id=84122
 - jos (ja vain jos) et onnistu ratkaisemaan ongelmaasi vieläkään, voit ottaa yhteyttä Azureuksen kehittäjiin sähköpostilla. Osoite on azureus@gmail.com.
